Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bot.module.th.estimation
Class PreFlopShc

    java.lang.Object
      bot.module.th.estimation.PreFlopShc

All Implemented Interfaces:
  IF_EstimationAtRound

    public class PreFlopShc

extends java.lang.Object
implements IF_EstimationAtRound

This class estimates the opponents first action of a hand by comparing to a startinghandchart

Author:
  Witthold/Korol

Field Summary
`private int[]` | `actions` amount of int[0]: folds int[1]: checks, calls int[2]: raises int[3]: allIns
`protected int[]` | `behaviour` shc comparison - consider: tightness only via folds/totalBets int[0]: relation looseness, 0-100 int[1]: relation aggression, 0-100 int[2]: numMoreLoose int[3]: numMorePassive int[4]: numMoreAggressive int[5]: evaledBets int[6]: totalBets
`private GetterDBProjector` | `gDBP`
`private int` | `initAggression`
`private int` | `initLoose`
`private StartingHandChart` | `shc`

Constructor Summary
`PreFlopShc(StartingHandChart shc)` Constructor inits some fields

Method Summary
`private void` | `askShc()` what would the given startingHandChart had proposed
`private void` | `compareToShc(int proposal, int hisAction, int betsize, int bb)` compare players action to startingHandCharts proposal
`void` | `estimate()` estimate opponent at specific round
`void` | `fetchData(GetterDBProjector gDBP, int playerId, int competitionId, int lastEvaledHandId)` init estimation at specific round
`void` | `mergeIntoOverall()` merge estimation of round into overall estimation
`void` | `mergeIntoRound()` merge new analysed data of round into already analysed of this round
`private void` | `relationizeShcBets()` relation of all bets - count actions

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### initLoose

    private int initLoose

### initAggression

    private int initAggression

### behaviour

    protected int[] behaviour

  shc comparison - consider: tightness only via folds/totalBets
  int[0]: relation looseness, 0-100
  int[1]: relation aggression, 0-100
  int[2]: numMoreLoose
  int[3]: numMorePassive
  int[4]: numMoreAggressive
  int[5]: evaledBets
  int[6]: totalBets

### actions

    private int[] actions

  amount of int[0]: folds
  int[1]: checks, calls
  int[2]: raises
  int[3]: allIns

### gDBP

    private GetterDBProjector gDBP

### shc

    private StartingHandChart shc

Constructor Detail

### PreFlopShc

    public PreFlopShc(StartingHandChart shc)

  Constructor inits some fields

  Parameters:
    `shc` - - the StartingHandChart to compare with

Method Detail

### fetchData

    public void fetchData(GetterDBProjector gDBP,
                          int playerId,
                          int competitionId,
                          int lastEvaledHandId)

  Description copied from interface: `IF_EstimationAtRound`
  init estimation at specific round

  Specified by:
    `fetchData` in interface `IF_EstimationAtRound`
  Parameters:
    `gDBP` - - instance of GetterDBProjector - one instance per player and competition
    `playerId` - - already generated by db
    `competitionId` - - already generated by db
    `lastEvaledHandId` - - already generated by db

### estimate

    public void estimate()

  Description copied from interface: `IF_EstimationAtRound`
  estimate opponent at specific round

  Specified by:
    `estimate` in interface `IF_EstimationAtRound`

### askShc

    private void askShc()

  what would the given startingHandChart had proposed

### compareToShc

    private void compareToShc(int proposal,
                              int hisAction,
                              int betsize,
                              int bb)

  compare players action to startingHandCharts proposal

  Parameters:
    `proposal` -
    `hisAction` -
    `betsize` -
    `bb` - - bigblind

### relationizeShcBets

    private void relationizeShcBets()

  relation of all bets - count actions

### mergeIntoRound

    public void mergeIntoRound()

  Description copied from interface: `IF_EstimationAtRound`
  merge new analysed data of round into already analysed of this round

  Specified by:
    `mergeIntoRound` in interface `IF_EstimationAtRound`

### mergeIntoOverall

    public void mergeIntoOverall()

  Description copied from interface: `IF_EstimationAtRound`
  merge estimation of round into overall estimation

  Specified by:
    `mergeIntoOverall` in interface `IF_EstimationAtRound`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD